Package io.papermc.paper.event.player

# Class AsyncChatEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
io.papermc.paper.event.player.AbstractChatEvent
io.papermc.paper.event.player.AsyncChatEvent

All Implemented Interfaces:
  `Cancellable`

public final class AsyncChatEvent extends AbstractChatEvent
An event fired when a `Player` sends a chat message to the server.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`AsyncChatEvent(boolean async, @NotNull Player player, @NotNull Set<Audience> viewers, @NotNull ChatRenderer renderer, @NotNull Component message, @NotNull Component originalMessage)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`

### Methods inherited from class io.papermc.paper.event.player.AbstractChatEvent

`isCancelled, message, message, originalMessage, renderer, renderer, setCancelled, viewers`

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AsyncChatEvent

public AsyncChatEvent(boolean async, @NotNull @NotNull Player player, @NotNull @NotNull Set<Audience> viewers, @NotNull @NotNull ChatRenderer renderer, @NotNull @NotNull Component message, @NotNull @NotNull Component originalMessage)

## Method Details

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()